﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2023-01-11
 * *Copyright LockDataV
 * *Desc data visualization project based on echarts4.0.js.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

/*页面全局设置*/
html, body {
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
}

body {
    color: #666;
    font-size: 16px;
    background-size: 100%;
    font-family: "微软雅黑";
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}


li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

a {
    text-decoration: none;
    color: #399bff;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgba(30, 159, 255, 0.5);
    border-radius: 2px;
    background-color: rgba(245, 245, 245, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #1E9FFF;
    background-color: #555;
}

/*地图容器*/
#lockmap {
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
}